------------------------------------------------------------------------------------
--Name：            210129[简体征服][活动脚本]全球白色情人节活动——副本1+2
--Creator:      林嘉鑫
--Created:     2021-01-29
------------------------------------------------------------------------------------
-- /callluafunc </F>User_PlayPlot</N>121
-- /chgmap 11137 248 241

CppScriptMgr:SetViewPosByCell(380,273);
CppScriptMgr:SetViewScale(256);
local playerNpcNew = CppScriptMgr:AddSimplePlayer(1053450, 377,205, "Queen of Brobdingnag", 4003000001,1)
playerNpcNew:SetZoomPercent(250)

local playerNpcNew2 = CppScriptMgr:AddSimplePlayer(37800, 381,239, "Giant", 4003000005,1)
playerNpcNew2:SetDir(0);
playerNpcNew2:SetZoomPercent(250)

local playerNpcNew3 = CppScriptMgr:AddSimplePlayer(1053434, 381,248, "Gulliver", 4003000006,1)
playerNpcNew3:SetZoomPercent(100)

local GuideNpcNew1 = CppScriptMgr:AddSimplePlayer(35210, 375,279, "Soldier", 4003000022,1)
GuideNpcNew1:SetDir(0);
GuideNpcNew1:SetZoomPercent(250)
local GuideNpcNew2 = CppScriptMgr:AddSimplePlayer(35210, 392,279, "Soldier", 4003000023,1)
GuideNpcNew2:SetDir(0);
GuideNpcNew2:SetZoomPercent(250)

local effectObj3 = CppScriptMgr:AddEffect("rygh_hglx1", 409,239);
CppScriptMgr:SetLightScreen(2000);
CppScriptMgr:WaitMilSec(1000);

local effectObj = CppScriptMgr:AddEffect("addexp01", 384, 284);
CppScriptMgr:WaitMilSec(700);
local hero = CppScriptMgr:QueryHero()
hero:SetPos(384, 284)
hero:SetDir(4)
CppScriptMgr:WaitMilSec(2300);

for i = 1,185 do
	if math.fmod(i,5) == 0 then
		CppScriptMgr:SetViewOffset(5,-2)
	else
		CppScriptMgr:SetViewOffset(5,-3)
	end
	CppScriptMgr:WaitMilSec(15);
end
CppScriptMgr:WaitMilSec(1000);
playerNpcNew2:Say("You little thing! I can knock you down with just one finger!", 2000)
CppScriptMgr:WaitMilSec(2500);
playerNpcNew3:Say("Don`t celebrate too early!#01", 2000)
CppScriptMgr:WaitMilSec(2500);

for i = 1,230 do
	if math.fmod(i,5) == 0 then
		CppScriptMgr:SetViewOffset(5,-2)
	else
		CppScriptMgr:SetViewOffset(5,-3)
	end
	CppScriptMgr:WaitMilSec(15);
end
playerNpcNew:SetAction(150);
playerNpcNew:Say("Gulliver, I must show you the fate of disobeying me!", 2000)
CppScriptMgr:WaitMilSec(2500);
playerNpcNew:Say("Don`t be merciful to him!#35", 2000)
CppScriptMgr:WaitMilSec(2500);
